#ifdef VHDL

/*
 * $Id: Vhdl_set_comment.cpp 94 2008-12-15 11:04:03Z rosiere $
 *
 * [ Description ]
 * 
 */

#include "Behavioural/include/Vhdl.h"
#include "Common/include/Tabulation.h"
#include <sstream>

namespace morpheo              {
namespace behavioural          {
  
#undef  FUNCTION
#define FUNCTION "Vhdl::set_comment"
  void Vhdl::set_comment (std::string text)
  {
    log_printf(FUNC,Behavioural,FUNCTION,"Begin");
    set_comment(0, text);
    log_printf(FUNC,Behavioural,FUNCTION,"End");
  };

#undef  FUNCTION
#define FUNCTION "Vhdl::set_comment"
  void Vhdl::set_comment (uint32_t depth,
                          std::string text)
  {
    log_printf(FUNC,Behavioural,FUNCTION,"Begin");
    set_body(depth,"-- "+text);
    log_printf(FUNC,Behavioural,FUNCTION,"End");
  };
  
  
}; // end namespace behavioural          
}; // end namespace morpheo              

#endif
